/*
 * Relation.java
 */

package org.eucalyptus.analysesi.model;

import com.thoughtworks.xstream.annotations.XStreamAlias;

/**
 * Une relation merise
 * 
 * @author Yann D'ISANTO
 */
@XStreamAlias("relation")
public class Relation extends MeriseObject {
	/**
	 * Le constructeur de {@link Relation}.
	 * 
	 * @param name
	 *            le nom de la relation
	 */
	public Relation(String name) {
		super(name);
	}

	/**
	 * Le constructeur de {@link Relation}.
	 * 
	 * @param name
	 *            Le nom de la relation
	 * @param description
	 *            la description de la relation
	 */
	public Relation(String name, String description) {
		super(name, description);
	}
}
