/*
 * 05/16/2003 - 10:29:03
 * 
 * GUIUtilities.java - Copyright (C) 2003 Dreux Loic dreuxl@free.fr
 * 
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package org.eucalyptus.analysesi.util;

import javax.swing.JFrame;
import javax.swing.JOptionPane;

import org.eucalyptus.analysesi.gui.HtmlWindow;

public class GUIUtilities
{
    public static void error(String text)
    {
        JOptionPane.showMessageDialog(null, text,
                "Analyse", JOptionPane.ERROR_MESSAGE);
    }

    public static void message(String text)
    {
        JOptionPane.showMessageDialog(null, text,
                "Analyse", JOptionPane.INFORMATION_MESSAGE);
    }
    
	public static boolean question(String question) {
		return JOptionPane.showConfirmDialog(null, question, "Analyse", JOptionPane.YES_NO_OPTION) == JOptionPane.YES_OPTION;
	}

    public static void messageHTML(JFrame frame, String text)
    {
    	new HtmlWindow(frame, text, 500, 400,
                true, false);
    }
    
    public static void messageHTML(JFrame frame, String text, boolean closeAfter2sec)
    {
    	new HtmlWindow(frame, text, 500, 400,
                true, closeAfter2sec);
    }
    
    public static void messageHTML(JFrame frame, String text, boolean closeAfter2sec, int width, int height)
    {
    	new HtmlWindow(frame, text, width, height,
                true, closeAfter2sec);
    }   
}